#
# spec file for package cdio-utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cdioutils 1
Name:           cdio-utils
Version:        0.94
Release:        lp152.8.4
Summary:        Utility programs making use of libcdio, a CD-ROM access library
License:        GPL-3.0+
Group:          Productivity/Multimedia/Other
Url:            https://savannah.gnu.org/projects/libcdio
Source0:        https://ftp.gnu.org/gnu/libcdio/libcdio-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/libcdio/libcdio-%{version}.tar.gz.sig
Source2:        libcdio.keyring
Source4:        baselibs.conf
# PATCH-FIX-UPSTREAM 0001-Savannah-Bug-49907.patch https://savannah.gnu.org/bugs/index.php?49907
Patch0:         0001-Savannah-Bug-49907.patch
# PATCH-FIX-SECURITY CVE-2017-18201.patch bsc1082877 CVE-2017-18201 sbrabec@suse.com -- Fix double free vulnerability.
Patch1:         CVE-2017-18201.patch
# PATCH-FIX-SECURITY CVE-2017-18199.patch bsc1082821 CVE-2017-18199 sbrabec@suse.com -- Fix NULL Pointer Dereference.
Patch2:         CVE-2017-18199.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-01.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch101:       libcdio-0.94-leak-01.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-02.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch102:       libcdio-0.94-leak-02.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-03.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch103:       libcdio-0.94-leak-03.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-04.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch104:       libcdio-0.94-leak-04.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-05.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch105:       libcdio-0.94-leak-05.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-06.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch106:       libcdio-0.94-leak-06.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-07patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch107:       libcdio-0.94-leak-07.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-08.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch108:       libcdio-0.94-leak-08.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-09.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch109:       libcdio-0.94-leak-09.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-10.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch110:       libcdio-0.94-leak-10.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-11.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch111:       libcdio-0.94-leak-11.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-12.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch112:       libcdio-0.94-leak-12.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-13.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch113:       libcdio-0.94-leak-13.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-14.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch114:       libcdio-0.94-leak-14.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-15.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch115:       libcdio-0.94-leak-15.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-16.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch116:       libcdio-0.94-leak-16.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-17.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch117:       libcdio-0.94-leak-17.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-18.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch118:       libcdio-0.94-leak-18.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-19.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch119:       libcdio-0.94-leak-19.patch
# PATCH-FIX-UPSTREAM libcdio-0.94-leak-20.patch bsc1082821 sbrabec@suse.com -- Memory leak fix.
Patch120:       libcdio-0.94-leak-20.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  help2man
BuildRequires:  libcdio-devel
BuildRequires:  libtool
BuildRequires:  makeinfo
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  popt-devel
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libvcdinfo)
Provides:       libcdio-utils = %{version}
Obsoletes:      libcdio-utils < %{version}

%description
This package contains a number of utility programs that make use of
libcdio.

%prep
%setup -q -n libcdio-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1

%define buildir ${PWD}

%build
export VCDINFO_CFLAGS=-I%{_includedir}/libvcd
export VCDINFO_LIBS="-L%{_libdir} -lvcdinfo -L%{buildir}/lib/iso9660/.libs/ -liso9660 -L%{buildir}/lib/driver/.libs/ -lcdio"

# autoreconf needed for libcdio-0.94-leak-07.patch:
autoreconf -f -i
VCDINFO_CFLAGS=-I%{_includedir}/libvcd VCDINFO_LIBS="-L%{_libdir} -lvcdinfo -L%{buildir}/lib/iso9660/.libs -liso9660 \
-L%{buildir}/lib/driver/.libs -lcdio" \
%configure \
	--disable-rpath \
	--disable-static \
	--disable-cxx \
	--enable-vcd-info=yes

VCDINFO_CFLAGS=-I%{_includedir}/libvcd VCDINFO_LIBS="-L%{_libdir} -lvcdinfo \
-L%{buildir}/lib/iso9660/.libs/ -liso9660 -L%{buildir}/lib/driver/.libs/ -lcdio" \
 VERBOSE=1 make -e %{?_smp_mflags}

%install
%make_install
#empty depdendency libs
rm -rf %{buildroot}%{_libdir} %{buildroot}%{_includedir} %{buildroot}%{_infodir}
%fdupes -s %{buildroot}%{_mandir}

%files -n cdio-utils
%doc AUTHORS COPYING NEWS README README.libcdio THANKS TODO
%{_bindir}/cd-*
%{_bindir}/cdda-*
%{_bindir}/iso-*
%{_bindir}/mmc-*
%{_mandir}/man?/*%{ext_man}

%changelog
* Wed Oct 31 2018 sbrabec@suse.com
- Fix API/ABI breakage by libcdio-0.94-leak-07.patch (bsc#1108134).
- Remove API/ABI breaking cleanup from libcdio-0.94-leak-08.patch
  (bsc#1108134).
- API CHANGE: The leak fixes include some API changes. These are
  disabled by default to keep the existing API, but several
  functions are available with the new syntax:
  _cdio_list_node_free with 3 arguments
  _cdio_list_free with 3 arguments
  To use the new form, programmers have to use
  [#]define CDIO_API18
  linker has to use CDIO_18 base version.
  The resulting binaries will be SUSE specific, incompatible with
  other products.
- Refresh libcdio-0.94-leak-10.patch.
* Tue Jun 12 2018 sbrabec@suse.com
- Fix NULL Pointer Dereference (bsc#1082821, CVE-2017-18199,
  CVE-2017-18199.patch).
- Memory leak fixes (bsc#1082821, libcdio-0.94-leak-01.patch,
  libcdio-0.94-leak-02.patch, libcdio-0.94-leak-03.patch,
  libcdio-0.94-leak-04.patch, libcdio-0.94-leak-05.patch,
  libcdio-0.94-leak-06.patch, libcdio-0.94-leak-07.patch,
  libcdio-0.94-leak-08.patch, libcdio-0.94-leak-09.patch,
  libcdio-0.94-leak-10.patch, libcdio-0.94-leak-11.patch,
  libcdio-0.94-leak-12.patch, libcdio-0.94-leak-13.patch,
  libcdio-0.94-leak-14.patch, libcdio-0.94-leak-15.patch,
  libcdio-0.94-leak-16.patch, libcdio-0.94-leak-17.patch,
  libcdio-0.94-leak-18.patch, libcdio-0.94-leak-19.patch,
  libcdio-0.94-leak-20.patch).
* Tue Feb 27 2018 sbrabec@suse.com
- Fix double free vulnerability (bsc#1082877, CVE-2017-18201,
  CVE-2017-18201.patch).
* Sat Nov  4 2017 schwab@linux-m68k.org
- 0001-Savannah-Bug-49907.patch: Fix symbol versioning for real
* Tue Sep  5 2017 jengelh@inai.de
- Remove --with-pic (only useful for static libs) and compact
  - -enable-static=n.
- Change description to reflect the package content.
* Sun Sep  3 2017 astieger@suse.com
- update to 0.94:
  * CD-TEXT fixes and improvements
  * eject fixes
  * various bug fixes
* Tue Jun 16 2015 mpluskal@suse.com
- Add gpg signature
- Remove ppc obsoletes/provides as it affects unsupported releases
- Cleanup spec file with spec-cleaner
* Sat Jan 31 2015 p.drouand@gmail.com
- Update to version 0.93
  * Add cdio_free, iso9660_stat_free, and iso9660_xa_free functions.
  * Deprecate mmc_isrc_track_read_subchannel
  * Add mmc_get_track_isrc function.
  * Update OS versions we recognize
  * OSX, and MS Windows, ISO 9660 and other bug fixes
  * Remove Coverty scan warnins and errors
  * OS/2 driver performance update - KO Myung-Hun
- Bump so versions
  * libcdio14 to libcdio16
  * libiso9660-8 to libiso9660-10
- Update baselibs.conf
- Remove depreciated AUTHORS section
* Sun Feb 17 2013 reddwarf@opensuse.org
- Update to 0.90
  * CD-Text overhaul and API change (Leon Merten Lohse)
  * Works again (somewhat) on MinGW; tolerence for Microsoft's C compiler (Pete Batard)
  * UDF, Joliet and Rock-Ridge fixes (Pete Batard)
  * OSX fixes (Natalia Portillo and Robert William Fuller)
  * paranoia library removed as that is GPL 2-ish. This is now a separate project
  * file names in cue files are relative to the cue file rather than cwd.
  * Update mmc.h to include MMC-5 commands. (Or MMC-6 since it adds nothing new)
  * Add mmc_cmd2str() to show MMC command name. Show that in some errors
  * Add UDF reading to iso-read and iso-info via --udf or -U (Christophe Fergeau)
  * bug fixes, more tests, update documentation
* Fri May 18 2012 davejplater@gmail.com
- Created seperate linked package cdio-utils to prevent cycles.
* Sun Apr 15 2012 davejplater@gmail.com
- Update to 0.83.git from 14/04/2012 git head.
- libcdio-paranoia separated from libcdio due to license issues
  see bnc#756564
* Fri Apr  6 2012 davejplater@gmail.com
- Update to libcdio-0.83, removed need for libcdio-mini by adding
  linker library paths to sources in the spec file build section.
- Upstream changes:
  * Add retrieval SCSI sense reply from the most-recent MMC command.
  * Add exclusive read/write access for devices which is used for
  experimental writing/burning. Currently only on GNU/Linux and FreeBSD.
  * MMC bug fixes
  * FreeBSD drive list now shows empty drives.
  * Add ability to retrieve SCSI tuple for a name and/or fake one up for
  programs that wanto to cd-record compatible.
  * Tolerance for OS's without timezone in their struct tm (e.g. Solaris)
  added iso9660_set_{d,l}time_with_timezone
  * Add mmc_get_disk_erasable
  * Update MMC Feature Profile list, DVD Book types
  * Reduce range of seek in paranoia_seek to be int32_t
  * Remove some potential flaws found by Coverty's static analysis tool
  * Add ISRC track info to cd-info output.
  * Don't wrap-around volume adjustment for cdda-player.
  * Handle double-byte strings in CD-text
  * --no-header on cd-info omits copyright and warranty
* Sun Nov 13 2011 coolo@suse.com
- add libtool as buildrequire
* Sun Nov 13 2011 coolo@suse.com
- one less _service file for factory
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Tue Feb  8 2011 dimstar@opensuse.org
- Rename Shared Object package to libcdio12, conforming the
  libraries name.
- Adjust rpmlintrc to only ignore shared lib names of the -mini
  packages. This avoids missing shlib renames for the 'main'
  package.
* Sun Jan 30 2011 sagiben@gmail.com
- Updated to version 0.82
- Upstream changes :
  * Remove all uses of CDIO_MIN_DRIVER,
  CDIO_MAX_DRIVER, CDIO_MIN_DEVICE_DRIVER or CDIO_MAX_DEVICE_DRIVER.
  * FreeBSD get_media_changed fixes
  * MingGW/Msys compilation issues
  * Add OS/2 driver
  * Cross compilations fixes and uclinix is like GNU/Linux
  * Numerous other bug fixes
* Mon Apr 26 2010 ro@suse.de
- add build-ignore for libcdio-mini-devel
* Sun Jan 31 2010 jengelh@medozas.de
- Package baselibs.conf
* Thu Aug  6 2009 sbrabec@suse.cz
- Updated to version 0.81:
  * license of manual now GFDL 1.2 or later
  * Nero image handling more complete.
  * ISRC query for image files.
  * Allow reading pregap of a track via get_track_pregap_lsn().
  * Fixes of iso9660 time setting/getting routines, making them
    reentrant.
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Sep  9 2008 sbrabec@suse.cz
- Update Summary of *mini* packages (bnc#418304).
* Wed Jun 18 2008 schwab@suse.de
- Use autoreconf -i.
* Fri May 23 2008 hpj@suse.de
- Add libcdio-bnc394195-install-all-pc-files.patch (bnc#394195).
* Wed May 21 2008 cthiel@suse.de
- fix baselibs.conf
* Fri Apr 25 2008 sbrabec@suse.cz
- Updated to version 0.80:
  * Add option to log summary output in cd-paranoia
  * More string bounds checking to eliminate known string overflow
    conditions, Savannah#21910
  * add --mode="any" on cd-read which uses a mmc_read_sectors with
    read-type CDIO_MMC_READ_TYPE_ANY.
  * add --log-summary option to cd-paranoia. Unused option
  - -output-info (-i) removed
  * some small packaging bugs fixed
  * probably the last GPL v2 release; GPL v3 on the horizon.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Feb 27 2008 sbrabec@suse.cz
- Fixed more possible memory allocation buffer overflows
  (bnc#351127).
* Wed Jan  9 2008 sbrabec@suse.cz
- Fixed buffer overflows for long Joliet names (#351127).
* Wed Dec  5 2007 ro@suse.de
- provide main package name in library package for debuginfo
  for mini package
* Fri Nov 16 2007 sbrabec@suse.cz
- Removed unwanted NoSource preventing mirroring to Factory.
* Fri Nov  9 2007 crrodriguez@suse.de
- fix build with gcc43
- update to version 0.79
  * libcdio cdparanoia doing the wrong thing on a single-sector read. Savannah patch #5999.
  * Leds to an open file descriptor making it impossible of e.g.
  unmounting a CDROM containing the file. Savannah bug #21147.
  * bug #19221 (possibly): memory Leak opening an inaccessible device
  * more than 30 other bugfixes
- remove libtool archives with empty dependency_libs
- exclude static libraries
* Tue Aug  7 2007 sbrabec@suse.cz
- Fixed mini file list.
* Sun Aug  5 2007 coolo@suse.de
- adding versioned provides for upgrade
* Fri Jul 20 2007 sbrabec@suse.cz
- Updated to version 0.78.2:
  * Fixed bug in libcdio.so version numbering.
  * Added mmc-tool and mmc-close-tray.
  * libudf: can now read (extract) file data, at least for ICB
    strategy type 4.
  * libcdio is starting to get updated for UTF-8 support.
  * Fixes to eject.
  * Other fixes.
- Split package according to shared library packaging policy.
- Added script to convert libcdio.spec to libcdio-mini.spec and
  update library package names.
* Mon Mar 12 2007 sbrabec@suse.cz
- Fixed NoSrc and Provides of temporary package.
* Fri Oct  6 2006 sbrabec@suse.cz
- Updated to version 0.77:
  * Added object-oriented C++ wrapper.
  * Replaced libpopt with getopt in binaries.
  * Documented cd-paranoia.
  * Added cdio_eject_media_drive.
  * Added more generic read_sectors().
  * Some provision for handling Rock-Ridge device numbers.
  * Block read routines return success if asked to read 0 blocks.
  * Start UDF handling
  * Improved developer documentation.
  * Code improvements.
  * Bug fixes.
  * Small cdda-player improvements.
  * NRG checking parses file.
  * Revised and improved example programs.
  * Replaced all uses of strcat and strcpy with strncat and
    strncpy.
* Mon Jul  3 2006 max@suse.de
- Added gcc-c++ to neededforbuild.
* Fri Jun 30 2006 sbrabec@suse.cz
- Fixed cyclic dependencies in a correct way.
* Tue Jun 27 2006 sbrabec@suse.cz
- Use NoSource in libcdio-mini.
* Thu Jun 22 2006 sbrabec@suse.cz
- Simpler solution of cyclic dependencies.
* Tue Jan 31 2006 sbrabec@suse.cz
- Do not link with invalid rpath.
- Enabled parallel build.
- Fixed devel splitting.
* Thu Jan 26 2006 sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 sbrabec@suse.cz
- Fixed libiso9660.la circular dependency prevention trick.
* Wed Oct 26 2005 sbrabec@suse.cz
- Updated to version 0.76.
- Build as user.
* Fri Aug  5 2005 sbrabec@suse.cz
- Build with libcddb-1.2.1.
* Fri Jul 29 2005 sbrabec@suse.cz
- Updated to version 0.75.
* Mon May  9 2005 sbrabec@suse.cz
- Build with libcddb-1.0.2.
* Tue Apr 26 2005 sbrabec@suse.cz
- Updated to version 0.73.
* Fri Apr  1 2005 meissner@suse.de
- fixed gcc4 compile problem.
* Thu Feb  3 2005 sbrabec@suse.cz
- Updated to version 0.72.
* Mon Jan 31 2005 sbrabec@suse.cz
- Updated to version 0.72rc2.
* Mon Jan 24 2005 sbrabec@suse.cz
- Updated to version 0.71.
* Tue Nov  9 2004 sbrabec@suse.cz
- New SuSE package, version 0.70.
- Work-around of circular dependency on libcddb and vcdimager.
